<?php



class ComisionadosObjsMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.ComisionadosObjsMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('COMISIONADOS_OBJS');
		$tMap->setPhpName('ComisionadosObjs');

		$tMap->setUseIdGenerator(false);

		$tMap->addForeignPrimaryKey('NITOCC', 'Nitocc', 'double' , CreoleTypes::NUMERIC, 'TERCEROS', 'NITOCC', true, 22);

		$tMap->addPrimaryKey('CODOBJ', 'Codobj', 'string', CreoleTypes::VARCHAR, true, 20);

		$tMap->addForeignPrimaryKey('ID_COMISION', 'IdComision', 'double' , CreoleTypes::NUMERIC, 'COMISIONES', 'VIGENCIA', true, 22);

		$tMap->addColumn('VALOR', 'Valor', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('ESTADO', 'Estado', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addForeignPrimaryKey('VIGENCIA', 'Vigencia', 'double' , CreoleTypes::NUMERIC, 'COMISIONES', 'VIGENCIA', true, 22);

		$tMap->addColumn('OBSERVA', 'Observa', 'string', CreoleTypes::VARCHAR, false, 500);
                
        $tMap->addColumn('VIATICOS', 'Viaticos', 'double', CreoleTypes::NUMERIC, false, 22);
        
        $tMap->addColumn('TAXIS', 'Taxis', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('TARIFA', 'Tarifa', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('ID_CLASE_PRESUP', 'Tarifa', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('ID_RUBRO', 'Tarifa', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('ID_ELEMENTOS_GASTO', 'Tarifa', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('ID_OBJ_GASTO', 'Tarifa', 'double', CreoleTypes::NUMERIC, false, 22);

	} 
} 
